<div class="container">
  <div class="row">
    <div class="col-xs-12">
        <ol>
          <li>Add a Input field which updates a property ('username') via Two-Way-Binding</li>
          <li>Output the username property via String Interpolation (in a paragraph below the input)</li>
          <li>Add a button which may only be clicked if the username is NOT an empty string</li>
          <li>Upon clicking the button, the username should be reset to an empty string</li>
        </ol>
        <hr>
        <label>Username Binding</label>
        <input type="text" [(ngModel)]="username" class="form-control">
        <p>{{ username }}</p>
        <button type="button" 
          class="btn btn-primary"
          [disabled]="!username"
          (click)="onResetUsername()"
        >Reset
        </button>
    </div>
  </div>
</div>